import 'package:objectbox/objectbox.dart';

@Entity()
class CapturePoint {
  CapturePoint({
    required this.type,
    required this.rotationX,
    required this.rotationY,
    required this.rotationZ,
    required this.accelerationX,
    required this.accelerationY,
    required this.accelerationZ,
    this.millisecondsSinceEpoch,
  });
  @Id()
  int id = 0;

  String type;
  String rotationX;
  String rotationY;
  String rotationZ;
  String accelerationX;
  String accelerationY;
  String accelerationZ;

  // @Property(type: PropertyType.date)
  int? millisecondsSinceEpoch;
}
